if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi

usr/sbin/nvidia-switch --install

( cd usr/lib64 ; rm -rf libEGL_nvidia.so.0 )
( cd usr/lib64 ; ln -sf libEGL_nvidia.so.390.157 libEGL_nvidia.so.0 )
( cd usr/lib64 ; rm -rf libGLESv1_CM_nvidia.so.1 )
( cd usr/lib64 ; ln -sf libGLESv1_CM_nvidia.so.390.157 libGLESv1_CM_nvidia.so.1 )
( cd usr/lib64 ; rm -rf libGLESv2_nvidia.so.2 )
( cd usr/lib64 ; ln -sf libGLESv2_nvidia.so.390.157 libGLESv2_nvidia.so.2 )
( cd usr/lib64 ; rm -rf libGLX_indirect.so.0 )
( cd usr/lib64 ; ln -sf libGLX_nvidia.so.390.157 libGLX_indirect.so.0 )
( cd usr/lib64 ; rm -rf libGLX_nvidia.so.0 )
( cd usr/lib64 ; ln -sf libGLX_nvidia.so.390.157 libGLX_nvidia.so.0 )
( cd usr/lib64 ; rm -rf libcuda.so )
( cd usr/lib64 ; ln -sf libcuda.so.1 libcuda.so )
( cd usr/lib64 ; rm -rf libcuda.so.1 )
( cd usr/lib64 ; ln -sf libcuda.so.390.157 libcuda.so.1 )
( cd usr/lib64 ; rm -rf libnvcuvid.so )
( cd usr/lib64 ; ln -sf libnvcuvid.so.1 libnvcuvid.so )
( cd usr/lib64 ; rm -rf libnvcuvid.so.1 )
( cd usr/lib64 ; ln -sf libnvcuvid.so.390.157 libnvcuvid.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-cfg.so )
( cd usr/lib64 ; ln -sf libnvidia-cfg.so.1 libnvidia-cfg.so )
( cd usr/lib64 ; rm -rf libnvidia-cfg.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-cfg.so.390.157 libnvidia-cfg.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-encode.so )
( cd usr/lib64 ; ln -sf libnvidia-encode.so.1 libnvidia-encode.so )
( cd usr/lib64 ; rm -rf libnvidia-encode.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-encode.so.390.157 libnvidia-encode.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-fbc.so )
( cd usr/lib64 ; ln -sf libnvidia-fbc.so.1 libnvidia-fbc.so )
( cd usr/lib64 ; rm -rf libnvidia-fbc.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-fbc.so.390.157 libnvidia-fbc.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-ifr.so )
( cd usr/lib64 ; ln -sf libnvidia-ifr.so.1 libnvidia-ifr.so )
( cd usr/lib64 ; rm -rf libnvidia-ifr.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-ifr.so.390.157 libnvidia-ifr.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-ml.so )
( cd usr/lib64 ; ln -sf libnvidia-ml.so.1 libnvidia-ml.so )
( cd usr/lib64 ; rm -rf libnvidia-ml.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-ml.so.390.157 libnvidia-ml.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-opencl.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-opencl.so.390.157 libnvidia-opencl.so.1 )
( cd usr/lib64 ; rm -rf libnvidia-ptxjitcompiler.so )
( cd usr/lib64 ; ln -sf libnvidia-ptxjitcompiler.so.1 libnvidia-ptxjitcompiler.so )
( cd usr/lib64 ; rm -rf libnvidia-ptxjitcompiler.so.1 )
( cd usr/lib64 ; ln -sf libnvidia-ptxjitcompiler.so.390.157 libnvidia-ptxjitcompiler.so.1 )
( cd usr/lib64 ; rm -rf libvdpau_nvidia.so )
( cd usr/lib64 ; ln -sf vdpau/libvdpau_nvidia.so.390.157 libvdpau_nvidia.so )
( cd usr/lib64/vdpau ; rm -rf libvdpau_nvidia.so.1 )
( cd usr/lib64/vdpau ; ln -sf libvdpau_nvidia.so.390.157 libvdpau_nvidia.so.1 )
( cd usr/lib64/xorg/modules ; rm -rf libnvidia-wfb.so.1 )
( cd usr/lib64/xorg/modules ; ln -sf libnvidia-wfb.so.390.157 libnvidia-wfb.so.1 )
